
From: Andi Kleen <ak@muc.de>

This patch increases some hardcoded limits people have already run into or
plan to go towards eventually.

Increase max MP busses on x86-64.  Needed for some machines.  Suggested by
Andrew Chen and James Cleverdon.

MAX_IRQ_SOURCES kept at 256 for now, matching i386.

Increase MAX_IO_APICS to 32 following i386.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-x86_64/apicdef.h |    2 +-
 25-akpm/include/asm-x86_64/mpspec.h  |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN include/asm-x86_64/apicdef.h~increase-bus-apic-limits-on-x86-64 include/asm-x86_64/apicdef.h
--- 25/include/asm-x86_64/apicdef.h~increase-bus-apic-limits-on-x86-64	2004-08-31 23:14:57.099454608 -0700
+++ 25-akpm/include/asm-x86_64/apicdef.h	2004-08-31 23:14:57.104453848 -0700
@@ -108,7 +108,7 @@
 
 #define APIC_BASE (fix_to_virt(FIX_APIC_BASE))
 
-#define MAX_IO_APICS 16
+#define MAX_IO_APICS 32
 
 /*
  * the local APIC register structure, memory mapped. Not terribly well
diff -puN include/asm-x86_64/mpspec.h~increase-bus-apic-limits-on-x86-64 include/asm-x86_64/mpspec.h
--- 25/include/asm-x86_64/mpspec.h~increase-bus-apic-limits-on-x86-64	2004-08-31 23:14:57.100454456 -0700
+++ 25-akpm/include/asm-x86_64/mpspec.h	2004-08-31 23:14:57.104453848 -0700
@@ -156,8 +156,8 @@ struct mpc_config_lintsrc
  *	7	2 CPU MCA+PCI
  */
 
+#define MAX_MP_BUSSES 270
 #define MAX_IRQ_SOURCES 256
-#define MAX_MP_BUSSES 32
 enum mp_bustype {
 	MP_BUS_ISA = 1,
 	MP_BUS_EISA,
_
